
/* ////////////////////////////////////////////////////   NAVBAR   ////////////////////////////// */
/*
           ##    ##    ###    ##     ## ########     ###    ########
           ###   ##   ## ##   ##     ## ##     ##   ## ##   ##     ##
           ####  ##  ##   ##  ##     ## ##     ##  ##   ##  ##     ##
           ## ## ## ##     ## ##     ## ########  ##     ## ########
           ##  #### #########  ##   ##  ##     ## ######### ##   ##
           ##   ### ##     ##   ## ##   ##     ## ##     ## ##    ##
           ##    ## ##     ##    ###    ########  ##     ## ##     ##
*/

#navbar{
  position:relative;
  display: flex;
  justify-content: space-between;

	background:rgba(255,255,255,1);
	height: 180px;
	transition: all .25s ease-in-out;
	top: 0px;
	z-index: 2000;
  background: url(../img/layout/underline.png) no-repeat 50% calc(100% - 10px);
}
#navbar.sticky{
  position: fixed;
	position: sticky;
  width: 100%;
}
.navbar-scrolled{
	height:60px !important;
	background:rgba(255,255,255,0.97) !important;
	box-shadow: 0px 4px rgba(0,0,0,0.1);
}

/* /////////////////////////////   RESPONSIVE   ///////////////////////////// */

@media only screen and (max-width: 768px)  { /*----------  MOBILE  -------------*/
  #navbar{ overflow: hidden; height: 130px; }
}
@media only screen and (max-width: 600px)  { /*----------  S  ------------------*/
}
@media only screen and (max-width: 480px)  { /*----------  XS  -----------------*/
}



/* ////////////////////////////////////////////////////   LOGO   ////////////////////////////// */
/*
          ##        #######   ######    #######
          ##       ##     ## ##    ##  ##     ##
          ##       ##     ## ##        ##     ##
          ##       ##     ## ##   #### ##     ##
          ##       ##     ## ##    ##  ##     ##
          ##       ##     ## ##    ##  ##     ##
          ########  #######   ######    #######
*/

#logo{
  height: 64px;
  position: relative;
  top: 40px;
  white-space: nowrap;
}
#logo a{
  height:100%;
  display: inline-block;
  border-left: 1px solid rgba(0,0,0,0.12);
}
#logo a:first-child{
  border-left: none;
}
#logo img{
  width:auto;
  height:auto;
  max-height:64px;
  -webkit-transition: .5s;
  transition: .5s;
  padding-left:25px;
  padding-right:25px;
}
#logo img.white{
  display:none;
}
.navbar-scrolled #logo{
  top:10px;
}
.navbar-scrolled img{
  height:32px !important;
  width:auto !important;
}

/* /////////////////////////////   RESPONSIVE   ///////////////////////////// */

@media only screen and (max-width: 1080px) { /*----------  DESKTOP  ------------*/
    #logo .m-hide{
        display: none;
    }
}
@media only screen and (max-width: 768px)  { /*----------  MOBILE  -------------*/
  #logo{ height: 50px; top: 24px; }
  #logo img{ max-height:50px; }
  #logo a{ background: none; }
}
@media only screen and (max-width: 600px)  { /*----------  S  ------------------*/
  #logo{ height: 40px; top: 44px; }
  #logo img{ max-height:40px; }
}
@media only screen and (max-width: 480px)  { /*----------  XS  -----------------*/
  #logo{ height: 36px; top: 50px; }
  #logo img{ max-height:36px; }
}


/* ////////////////////////////////////////////////////   MENU   ////////////////////////////// */
/*
          ##     ## ######## ##    ## ##     ##
          ###   ### ##       ###   ## ##     ##
          #### #### ##       ####  ## ##     ##
          ## ### ## ######   ## ## ## ##     ##
          ##     ## ##       ##  #### ##     ##
          ##     ## ##       ##   ### ##     ##
          ##     ## ######## ##    ##  #######
*/

.menu-container {
  float: right;
  padding: 0;
  margin: 70px 20px 0 0;
  height: 66px;
  -webkit-transition: .25s;
  transition: .25s;
}

.menu-container li {
  font-family: "Roboto Condensed", sans-serif;
  font-style: italic;
  align-items: center;
  justify-content: space-between;
  position: relative;
  display:flex;
  list-style: none;
  -webkit-transition: .5s;
  transition: .5s;
  width:260px;
}
.menu-container a {
  display: block;
  text-decoration: none;
  background: none;
  padding: 10px 18px;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
}

/*  ikony  */

.menu-container i {
  margin-right: 7px !important;
  flex-grow: 0;
  flex-shrink: 0;
}
.menu-container i.sub {
  margin-right: 0px !important;
  margin-left: 4px !important;
  color:rgba(0,0,0,0.3) !important;
}
.menu-container li:hover i.sub {
  color:rgba(255,255,255,0.6) !important;
}
.menu-container i.current {
  margin-right: 0px !important;
}

/*  pozycjonowanie  */

.menu-container ul {
  position: absolute;
  left: 0;
  top: 100%;
  margin:0;
  padding:0;
  visibility: hidden;
  opacity: 0;
}
.menu-container ul ul {
  left: 100%;
  top: 0;
}
.menu-container ul.align-right {
  left: auto;
  right: 100%;
}
.menu-container > li > ul.align-right {
  left: auto;
  right: 0;
}
.menu-container li:hover > ul {
  visibility: visible;
  opacity: 1;
}

/*  caption  */

.menu-container li.caption span{
  background: rgba(0,0,0,0.1);
  color: rgba(255,255,255,0.7);
  text-align: center;
  text-transform: uppercase;
  display: block;
  width: 100%;
  padding: 0.3em;
  font-size: 0.8rem;
  font-weight: 600;
}

/*  scrolled  */

.menu-scrolled{
  background: none !important;
}

/*  ---------------------------------------------------  LEVEL 1  */

.menu-container > li {
  float: left;
  justify-content: center;
  height:100%;
  width:auto;
}
/*  tło  */
.menu-container > li:hover, .menu-container > li:hover li {
	background: #97be0d !important;
}
/*  separator  */
.menu-container > li > a.sep{
  background: url('../img/layout/color-black-a20.png') no-repeat 0% 50%;
  background-size: 1px 40px;
}
.menu-container > li > a.sep:hover{
  background: none;
}
/*  text  */
.menu-container > li a {
  color: rgb(40, 50, 78);
  text-transform: uppercase;
  font-weight: 600;
  font-size: 1.2rem;
}
.menu-container > li:hover a{
	color: #fff;
}
/*  current  */
.menu-container > li.current a {
	color: #97be0d;
}
.menu-container > li.current:hover a {
	color: #fff;
}
.menu-container > li i.current{
  position: absolute !important;
  bottom: 0px;
  right:50%;
  color: rgb(40, 50, 78);
  font-size: 0.8rem;
  -webkit-transform: translate(50%, 0);
	-ms-transform: translate(50%, 0);
	transform: translate(50%, 0);
  -webkit-transition: .5s;
  transition: .5s;
}
.menu-container > li:hover i.current{
  bottom: 0px;
  -webkit-transform: translate(50%, 0) rotate(180deg);
	-ms-transform: translate(50%, 0) rotate(180deg);
	transform: translate(50%, 0) rotate(180deg);
}
.menu-container > li > ul + i.current{
  margin-right:7px !important;
}
.menu-container.menu-scrolled > li i.current{
  bottom: 6px;
}
.menu-container > li a div {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.menu-container > li a span {
  font-size:0.7rem;
  color: #61892f;
}

/*  ---------------------------------------------------  LEVEL 2  */

/*  tło  */
.menu-container > li li:hover, .menu-container > li li:hover li {
	background: #61892f !important;
}
/*  separator  */
.menu-container > li li a.sep{
  border-top: 2px solid rgba(255,255,255,0.6);
}
.menu-container > li li a.sep:hover{
  border-top: 2px solid rgba(255,255,255,0);
}
/*  text  */
.menu-container > li li a {
  color: #fff;
  text-transform: none;
  font-weight: 300;
}
/*  current  */
.menu-container > li li.current a {
	color: rgb(40, 50, 78) !important;
}
.menu-container > li li.current:hover a {
	color: #fff !important;
}
.menu-container > li li i.sub {
  position: absolute;
  right: 10px;
}


/*  ---------------------------------------------------  LEVEL 3  */

/*  tło  */
.menu-container > li li li:hover {
	background: #4b6f1f !important;
}
/*  current  */
.menu-container > li li li.current a, .menu-container > li li:hover li.current a {
  color: rgb(40, 50, 78) !important;
}
.menu-container > li li li.current:hover a, .menu-container > li li:hover li.current:hover a {
  color: #fff !important;
}

/* /////////////////////////////   RESPONSIVE   ///////////////////////////// */

@media only screen and (max-width: 768px)  { /*----------  MOBILE  -------------*/
  .menu-container {
    margin: 36px 0 0 0;
    height: 65px;
  }
  .menu-container i.fa-bars{ font-size:2rem; margin: 2px 12px !important; }
}
@media only screen and (max-width: 600px)  { /*----------  S  ------------------*/
  .menu-container i.fa-bars{ font-size:1.8rem; }
}
@media only screen and (max-width: 480px)  { /*----------  XS  -----------------*/
  .menu-container i.fa-bars{ font-size:1.5rem; }
}

/* ////////////////////////////////////////////////////   TRANSPARENT   ////////////////////////////// */
/*
          ##          ###    ##    ##  ######
          ##         ## ##   ###   ## ##    ##
          ##        ##   ##  ####  ## ##
          ##       ##     ## ## ## ## ##   ####
          ##       ######### ##  #### ##    ##
          ##       ##     ## ##   ### ##    ##
          ######## ##     ## ##    ##  ######
*/
i.lang{
  display: inline-block;
  position: relative;
  width: 20px;
  height: 20px;
  background-position: 50% 50%;
  background-size: 20px 20px;
  background-repeat: no-repeat;
  border-radius: 100px;
  box-shadow: 3px 3px rgba(0,0,0,0.1);
}
i.lang.en{
  background-image: url(../img/icons/flags/flag-en.png);
}
i.lang.pl{
  background-image: url(../img/icons/flags/flag-pl.png);
}
i.lang + i.fa{
  text-indent: -6px;
}

/* ////////////////////////////////////////////////////   TRANSPARENT   ////////////////////////////// */
/*
          ######## ########     ###    ##    ##  ######  ########     ###    ########  ######## ##    ## ########
             ##    ##     ##   ## ##   ###   ## ##    ## ##     ##   ## ##   ##     ## ##       ###   ##    ##
             ##    ##     ##  ##   ##  ####  ## ##       ##     ##  ##   ##  ##     ## ##       ####  ##    ##
             ##    ########  ##     ## ## ## ##  ######  ########  ##     ## ########  ######   ## ## ##    ##
             ##    ##   ##   ######### ##  ####       ## ##        ######### ##   ##   ##       ##  ####    ##
             ##    ##    ##  ##     ## ##   ### ##    ## ##        ##     ## ##    ##  ##       ##   ###    ##
             ##    ##     ## ##     ## ##    ##  ######  ##        ##     ## ##     ## ######## ##    ##    ##
*/

.transparent-navbar{
  position: absolute !important;
  width: 100%;
  background: rgba(10,10,10,0) !important;
}
.transparent-navbar .menu-container{
  background:none;
}

/*  logo  */

.transparent-navbar #logo img{
  border-left-color: rgba(255,255,255,0.2);
}
.transparent-navbar #logo img.regular{
  display:none;
}
.transparent-navbar #logo img.white{
  display:block;
}
.transparent-navbar + div{  /* div right after navbar */
  padding-top:80px;
}
.transparent-navbar #logo a.sep {
  background: url('../img/layout/color-white-a20.png') no-repeat 0% 50%;
  background-size: 1px 40px;
}

/*  ---------------------------------------------------  LEVEL 1  */

/*  separator  */
.transparent-navbar .menu-container > li > a.sep {
  background: url('../img/layout/color-white-a20.png') no-repeat 0% 50%;
  background-size: 1px 40px;
}
/*  text  */
.transparent-navbar .menu-container > li a {
  color: #fff;
}
/*  current  */
.transparent-navbar .menu-container > li.current a {
	color: #97be0d;
}
.transparent-navbar .menu-container > li:hover.current a {
	color: #fff;
}
.transparent-navbar .menu-container > li i.current{
  color: #fff;
}
/*  submenu  */
.transparent-navbar .menu-container > li i.sub{
  color:rgba(255,255,255,0.4) !important;
}



/* ////////////////////////////////////////////////////   MOBILE   ////////////////////////////// */
/*
          ##     ##  #######  ########  #### ##       ########
          ###   ### ##     ## ##     ##  ##  ##       ##
          #### #### ##     ## ##     ##  ##  ##       ##
          ## ### ## ##     ## ########   ##  ##       ######
          ##     ## ##     ## ##     ##  ##  ##       ##
          ##     ## ##     ## ##     ##  ##  ##       ##
          ##     ##  #######  ########  #### ######## ########
*/

.menu-mobile{
	position: fixed;
  overflow: auto;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	z-index: 1;
	background:rgba(0,0,0,0.96);
	padding: 50px 20px 20px 20px;
	margin: 0;
}
.menu-mobile li{
	position: relative;
	padding: 0;
  margin-left: 0;
	display:block;
	text-align:center;
	cursor: pointer;
}
.menu-mobile li ul{
  padding-left: 0;
}
.menu-mobile > li{
  background: #222629;
  margin-top: 4px;
}
.menu-mobile > li:first-child{
  background: none;
}
.menu-mobile a{
  display: block;
	width: 100%;
  padding: 0.6em 0 !important;
  color: #fff;
  font-size: 1.5rem !important;
  text-decoration: none;
  font-family: roboto condensed;
  font-style: italic;
}
.menu-mobile a:hover, .menu-mobile a:hover span{
  color: #97be0d !important;
}
.menu-mobile a span{
  font-size: 0.7rem !important;
  color: rgba(255,255,255,0.4);
}
.menu-mobile li li a{
  font-size: 1.12rem !important;
  color: rgba(255,255,255,0.6);
}
.menu-mobile li li li a{
  font-size: 0.9rem !important;
  color: rgba(255,255,255,0.4);
}
.menu-mobile .current > a{
	color: #97be0d !important;
}
.menu-mobile i.current, .menu-mobile i.sub{
	display: none;
}
.menu-mobile i.lang{
	top: 2px;
}
.menu-mobile > li .accordion{
  border: none;
}
.menu-mobile > li.active{
  background-color: #474b4f !important;
}
.menu-mobile li.active{
  padding-bottom:3em;
}
.menu-mobile li.active ul{
  margin: 0 3em !important;
  padding: 0 !important;
}
.menu-mobile > li li:not(.caption) {
  border-top: 2px solid #222629;
}
.menu-mobile > li .caption {
  background:#222629;
  padding:4px 4px 6px 4px;
}
.menu-mobile .caption span{
  color: rgba(255,255,255,0.4);
  transform: translate(0,2px);
  display: block;
}
.menu-mobile > li li.active{
  background-color: #222629 !important;
}
.menu-mobile > li li li:not(.caption) {
  border-top: 1px solid #474b4f;
}
.menu-mobile > li li .caption {
  background:#474b4f;
  padding:4px 4px 6px 4px;
}
.menu-mobile > li li a.sep {
    border-top: 4px solid #222629;
}
.menu-mobile > li li li a.sep {
    border-top: 2px solid #474b4f;
}

.menu-mobile .accordion > :nth-child(1),
.menu-mobile .accordion > :nth-child(1) *,
.menu-mobile .accordion > :nth-child(1)::after
{
  color:#fff !important;
}
.menu-mobile .accordion > :nth-child(1)::after
{
  right:12px;
}
.menu-mobile li .accordion > :nth-child(1)
{
  color: rgba(255,255,255,0.6) !important;
}
.menu-mobile .accordion.active > :nth-child(1),
.menu-mobile .accordion.active > :nth-child(1) *
{
  color:#fff !important;
}
.menu-mobile .accordion.active > :nth-child(1)::after
{
  background:#fff !important;
  color: #222629 !important;
}
.menu-mobile .accordion > :nth-child(1):hover,
.menu-mobile .accordion > :nth-child(1):hover *,
.menu-mobile .accordion > :nth-child(1):hover::after
{
  color:#97be0d !important;
}
.menu-mobile li .accordion > :nth-child(1):hover
{
  color: #97be0d !important;
}
.menu-mobile .accordion.active > :nth-child(1):hover,
.menu-mobile .accordion.active > :nth-child(1):hover *
{
  color:#97be0d !important;
}
.menu-mobile .accordion.active > :nth-child(1):hover::after
{
  background:#97be0d !important;
  color: #222629 !important;
}
.menu-mobile .accordion.current > :nth-child(1), .menu-mobile .accordion.current > :nth-child(1) > i
{
  color:#97be0d !important;
}

/* /////////////////////////////   RESPONSIVE   ///////////////////////////// */

@media only screen and (max-width: 768px)  { /*----------  MOBILE  -------------*/
}
@media only screen and (max-width: 600px)  { /*----------  S  ------------------*/
  .menu-mobile a{ padding: 0.5rem 0 !important; font-size: 1.2rem !important; line-height:1; }
  .menu-mobile li li a{ font-size: 1.1rem !important; }
  .menu-mobile li.active ul{ margin: 0 2em !important; }
  .menu-mobile i.lang{ width:18px; height:18px; }
}
@media only screen and (max-width: 480px)  { /*----------  XS  -----------------*/
  .menu-mobile a{ font-size: 1.1rem !important; }
  .menu-mobile li li a{ font-size: 1rem !important; }
  .menu-mobile li.active ul{ margin: 0 1em !important; }
  .menu-mobile i.lang{ width:16px; height:16px; }
}
